Cazana

Keepers

Previous keeper details and ownership changes for a vehicle.

GET/keepers/1.0

Authorization

Query parameters

string
optional

VRM to search (required if `vin` not supplied)

string
optional

VIN to search (required if `vrm` not supplied)

Query parameters

vrm?string

VRM to search (required if `vin` not supplied)

vin?string

VIN to search (required if `vrm` not supplied)

Responses

application/json
{
  "make": "BMW",
  "model": "6 Series Coupe",
  "trim": "640 M Sport",
  "firstRegistration": "2002-03-28 00:00:00",
  "previousOwners": 8,
  "keeperAcquisition": "2018-04-17 00:00:00",
  "previousKeeper": "2011-04-09 00:00:00",
  "previousKeeperDisposal": "2018-04-17 00:00:00"
}
make?string
model?string
trim?string
firstRegistration?string · datetime
Formatdatetime
previousOwners?integer
keeperAcquisition?string · datetime
Formatdatetime
previousKeeper?string · datetime
Formatdatetime
previousKeeperDisposal?string · datetime
Formatdatetime

Code samples

curl --request GET \
  --url 'https://api.cazana.com/keepers/1.0?vrm=AB12CDE&vin=SALGA2BU8HA000000' \
  --header 'Authorization: bearer YOUR_API_KEY'